## doc:   build documentation
doc: antsontable.pdf html/index.html

# Documentation by 'doxygen'
# The sed command displays inserts a project name in the otherwise
# generic configuration file Doxyfile.
Doxyfile:
	doxygen -g $@ 
	sed -i 's/PROJECT_NAME[ ]*=.*/PROJECT_NAME=AntsOnTable/' $@


antsontable.pdf: Doxyfile antsontable.cpp README.md
	doxygen
	cd latex && pdflatex refman.tex && pdflatex refman.tex
	mv latex/refman.pdf antsontable.pdf

html/index.html: Doxyfile antsontable.cpp README.md
	doxygen

.PHONY: doc