# python file to create a set of snapshots from the ants.txt data file

import matplotlib.pyplot as plt
import numpy as np

ants = np.loadtxt("ants.txt",dtype=int)
cols = ants.shape[1]
rows = cols
steps = ants.shape[0]//cols
ants = ants.reshape((steps,rows,cols))

multiplot = plt.figure(figsize=(5.0,5.0),dpi=100)
plt.suptitle("Ants on table snapshots")

plt.subplot(2,2,1)
plt.title('t=0')
plt.imshow(ants[0],vmin=0,vmax=9)

plt.subplot(2,2,2)
plt.title('t=50')
plt.imshow(ants[50],vmin=0,vmax=9)

plt.subplot(2,2,3)
plt.title('t=500',y=-.3)
plt.imshow(ants[500],vmin=0,vmax=9)

plt.subplot(2,2,4)
plt.title('t=5000',y=-.3)
imlast = plt.imshow(ants[5000],vmin=0,vmax=9)

cbarax = multiplot.add_axes([0.91, 0.15, 0.04, 0.7])
multiplot.colorbar(imlast, cax=cbarax)

plt.savefig("snapshots.png")
